Libhandy-0.0.13

libhandy の概要

The libhandy package provides additional GTK UI widgets for use in developing user interfaces.

本パッケージは LFS-9.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

libhandy の依存パッケージ

必須

GTK+-3.24.21

推奨

任意

GTK-Doc-1.32, Glade

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/libhandy

libhandy のインストール

以下のコマンドを実行して libhandy をビルドします。

mkdir build &&
cd    build &&

meson --prefix=/usr .. &&
ninja

ビルド結果をテストする場合は ninja test を実行します。 The tests must be run from a graphical session.

root ユーザーになって以下を実行します。

ninja install

コマンド説明

-Dgtk_doc=true: Use this option if you have GTK-Doc-1.32 installed and wish to install the documentation.

パッケージ構成

インストールプログラム: handy-demo-0.0
インストールライブラリ: libhandy-0.0.so
インストールディレクトリ: /usr/include/libhandy-0.0

概略説明

handy-demo-0.0

provides an example of how to use the libhandy library.

libhandy-0.0.so

provides additional GTK widgets for use in creating user interfaces.

最終更新日: 2020-03-30 13:31:03 +0900